Pular para o conteúdo principal
Update a Virtual Account
curl --request PATCH \
  --url https://api.spherepay.co/v2/virtual-account/{virtualAccountId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destinationCurrency": "usdc",
  "network": "base",
  "walletAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"
}
'
{
  "id": "virtualAccount_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
  "customer": "customer_b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7",
  "active": true,
  "depositInstructions": {
    "currency": "usd",
    "bankName": "Lead Bank",
    "bankAddress": "1801 Main St, Kansas City, MO 64108",
    "bankAccountNumber": "9876543210",
    "bankRoutingNumber": 21000089,
    "bankBeneficiaryName": "Bridge Financial Inc.",
    "bankBeneficiaryAddress": "123 Finance St, San Francisco, CA 94105",
    "iban": "DE89370400440532013000",
    "bic": "COBADEFFXXX"
  },
  "destination": {
    "currency": "usdc",
    "walletAddress": "0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97",
    "network": "base"
  },
  "fee": {
    "totalBpsRate": "130",
    "integratorFee": {
      "bpsRate": "100"
    },
    "platformFee": {
      "bpsRate": "30"
    }
  },
  "created": "2025-01-15T10:30:00.000Z",
  "updated": "2025-01-16T08:45:00.000Z"
}
Use este endpoint para atualizar a configuração de destino de uma Onramper Account existente. Você pode alterar a stablecoin de destino, a rede blockchain, o endereço de carteira e a taxa de integrador. Todos os campos no corpo da requisição são opcionais — inclua apenas os campos que deseja alterar. Depósitos futuros usarão a configuração de destino atualizada imediatamente após a atualização.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

virtualAccountId
string
obrigatório

Corpo

application/json
destinationCurrency
enum<string>
obrigatório

The crypto currency deposited funds are converted into. See Supported Rails & Currencies.

Opções disponíveis:
usdc,
usdt,
eurc
Exemplo:

"usdc"

network
enum<string>
obrigatório

The blockchain network the destination wallet is on. See Supported Rails & Currencies.

Opções disponíveis:
arbitrum,
avalanche,
base,
ethereum,
polygon,
sol,
tron
Exemplo:

"ethereum"

walletAddress
string
obrigatório

The on-chain wallet address where converted crypto is sent. Must be valid for the selected network.

Exemplo:

"0x4838B106FCe9647Bdf1E7877BF73cE8B0BAD5f97"

integratorFeeBps
string

Integrator fee in basis points (1 bps = 0.01%). Defaults to 0 if not provided.

Exemplo:

"100"

Resposta

id
string
obrigatório

Unique identifier for the virtual account.

Exemplo:

"virtualAccount_a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

active
boolean
obrigatório

Whether the virtual account is currently active and accepting deposits.

Exemplo:

true

depositInstructions
object
obrigatório

Bank account details that depositors should use to send fiat funds into the virtual account.

destination
object
obrigatório

The crypto destination where converted funds are sent after deposit.

created
string
obrigatório

Timestamp when the virtual account was created (ISO 8601).

Exemplo:

"2025-01-15T10:30:00.000Z"

updated
string
obrigatório

Timestamp when the virtual account was last updated (ISO 8601).

Exemplo:

"2025-01-15T12:00:00.000Z"

customer
string

The customer ID who owns the virtual account.

Exemplo:

"customer_b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7"

fee
object

Fee breakdown for the virtual account, including integrator and platform fees.

Última modificação em 18 de junho de 2026